## networking-ovn 1.0.0~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

netaddr!=0.7.16,>=0.7.12 # BSD
neutron-lib>=0.4.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
ovs>=2.5.0;python_version=='2.7' # Apache-2.0
ovs>=2.6.0.dev3;python_version>='3.4' # Apache-2.0
pbr>=1.6 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Babel>=2.3.4 # BSD
six>=1.9.0 # MIT

=== debian/changelog ===
networking-ovn (1.0.0~rc1-1+19~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Wed, 28 Sep 2016 09:12:27 +0000

networking-ovn (1.0.0~rc1-1) experimental; urgency=medium

  [ James Page ]
  * New upstream release.
  * Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added myself as uploader.
  * Using OpenStack's Gerrit as VCS URLs.
  * Points .gitreview at deb-networking-ovn.
  * Added .gitreview and egg-info to extend-diff-ignore.
  * Fixed oslotest EPOCH.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Sep 2016 08:58:44 +0200

networking-ovn (1.0.0~b2-1) experimental; urgency=medium

  * Initial release (Closes: #833765).

 -- James Page <james.page@ubuntu.com>  Tue, 09 Aug 2016 14:24:59 +0100

=== debian/control ===
Source: networking-ovn
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: James Page <james.page@ubuntu.com>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-coverage (>= 3.6),
                     python-hacking,
                     python-netaddr (>= 0.7.12),
                     python-neutron (>= 2:9.0.0~),
                     python-neutron-lib (>= 0.4.0),
                     python-os-testr (>= 0.7.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-openvswitch (>= 2.5.0),
                     python-reno,
                     python-retrying (>= 1.2.3),
                     python-six (>= 1.9.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-networking-ovn -b debian/newton
Vcs-Git: https://git.openstack.org/openstack/deb-networking-ovn.git
Homepage: http://github.com/openstack/networking-ovn

Package: python-networking-ovn
Architecture: all
Section: python
Depends: python-babel (>= 2.3.4),
         python-netaddr (>= 0.7.12),
         python-neutron (>= 2:9.0.0~),
         python-neutron-lib (>= 0.4.0),
         python-oslo.config (>= 1:3.14.0),
         python-openvswitch (>= 2.5.0),
         python-retrying (>= 1.2.3),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - OVN driver
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 OVN provides virtual networking for Open vSwitch and is a component of the
 Open vSwitch project.
 .
 This package provides the OpenStack driver for the Open vSwitch OVN SDN.

## networking-ovn 1.0.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-netaddr!=0.7.16,>=0.7.12 # BSD
+netaddr!=0.7.16,>=0.7.13 # BSD
 neutron-lib>=0.4.0 # Apache-2.0
 oslo.config>=3.14.0 # Apache-2.0
 ovs>=2.5.0;python_version=='2.7' # Apache-2.0

=== debian/changelog ===
networking-ovn (1.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 11:07:12 -0400

networking-ovn (1.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Sep 2016 09:01:05 +0100

networking-ovn (1.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.
  * Update watch file to use tarballs.openstack.org.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Sep 2016 11:32:58 +0100

networking-ovn (1.0.0~b3-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 10:23:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: networking-ovn
 Section: net
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: James Page <james.page@ubuntu.com>,
-           Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
@@ -17,11 +17,11 @@
                      python-netaddr (>= 0.7.12),
                      python-neutron (>= 2:9.0.0~),
                      python-neutron-lib (>= 0.4.0),
+                     python-openvswitch (>= 2.5.0),
                      python-os-testr (>= 0.7.0),
                      python-oslo.config (>= 1:3.14.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:1.10.0),
-                     python-openvswitch (>= 2.5.0),
+                     python-oslotest (>= 1.10.0),
                      python-reno,
                      python-retrying (>= 1.2.3),
                      python-six (>= 1.9.0),
@@ -32,9 +32,9 @@
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18),
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-networking-ovn -b debian/newton
-Vcs-Git: https://git.openstack.org/openstack/deb-networking-ovn.git
 Homepage: http://github.com/openstack/networking-ovn
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/networking-ovn.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/openstack/networking-ovn.git
 
 Package: python-networking-ovn
 Architecture: all
@@ -43,8 +43,8 @@
          python-netaddr (>= 0.7.12),
          python-neutron (>= 2:9.0.0~),
          python-neutron-lib (>= 0.4.0),
+         python-openvswitch (>= 2.5.0),
          python-oslo.config (>= 1:3.14.0),
-         python-openvswitch (>= 2.5.0),
          python-retrying (>= 1.2.3),
          python-six (>= 1.9.0),
          ${misc:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-ovn networking-ovn-(\d.*)\.tar\.gz

## networking-ovn 2.0.0

=== debian/changelog ===
networking-ovn (2.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 10:12:39 -0500

networking-ovn (2.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 08 Feb 2017 08:31:58 -0500

networking-ovn (2.0.0~b3-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (build-)depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 11:25:49 -0500

networking-ovn (2.0.0~b2-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 14:39:58 -0500

networking-ovn (2.0.0~b1-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * New upstream version.
  * debian/changelog: Add python-tenacity

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (build-)depends with upstream.

  [ Corey Bryant ]
  * d/control: Set min version of python-pbr to 1.8.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 22 Nov 2016 09:42:35 -0500

=== debian/control ===
Source: networking-ovn
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: James Page <james.page@ubuntu.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-coverage (>= 4.0),
                     python-hacking (>= 0.10.0),
                     python-netaddr (>= 0.7.13),
                     python-neutron-lib (>= 1.1.0),
                     python-neutron (>= 2:10.0.0~),
                     python-os-testr (>= 0.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-openvswitch (>= 2.6.1),
                     python-reno,
                     python-six (>= 1.9.0),
                     python-sphinx (>= 1.2.1),
                     python-tenacity (>= 3.2.1),
                     python-testrepository (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webtest (>= 2.0),
Standards-Version: 3.9.8
Homepage: http://github.com/openstack/networking-ovn
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/networking-ovn.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/networking-ovn.git

Package: python-networking-ovn
Architecture: all
Section: python
Depends: python-babel (>= 2.3.4),
         python-netaddr (>= 0.7.12),
         python-neutron-lib (>= 1.0.0),
         python-neutron (>= 2:10.0.0~),
         python-oslo.config (>= 1:3.14.0),
         python-openvswitch (>= 2.6.1),
         python-six (>= 1.9.0),
         python-tenacity,
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack virtual network service - OVN driver
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 OVN provides virtual networking for Open vSwitch and is a component of the
 Open vSwitch project.
 .
 This package provides the OpenStack driver for the Open vSwitch OVN SDN.

## networking-ovn 3.0.0

=== debian/changelog ===
networking-ovn (3.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 10:02:13 -0400

networking-ovn (3.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/p/fix-gate-mtu-tests.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:22:57 -0400

networking-ovn (3.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/p/fix-gate-mtu-tests.patc: Cherry-picked from upstream to fix failing
    tests by updating mtu to 1450.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Aug 2017 21:45:25 -0400

networking-ovn (3.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 22:35:24 +0100

networking-ovn (3.0.0~b1-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Apr 2017 15:36:26 +0100

=== debian/control ===
--- 
+++ 
@@ -9,23 +9,23 @@
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
 Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-coverage (>= 4.0),
                      python-hacking (>= 0.10.0),
                      python-netaddr (>= 0.7.13),
-                     python-neutron-lib (>= 1.1.0),
-                     python-neutron (>= 2:10.0.0~),
+                     python-neutron (>= 2:11.0.0~b2),
+                     python-neutron-lib (>= 1.9.0),
+                     python-openssl (>= 0.14),
+                     python-openstackdocstheme (>= 1.16.0),
+                     python-openvswitch (>= 2.7.0),
                      python-os-testr (>= 0.8.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslosphinx (>= 4.7.0),
+                     python-oslo.config (>= 1:4.0.0),
                      python-oslotest (>= 1.10.0),
-                     python-openvswitch (>= 2.6.1),
                      python-reno,
                      python-six (>= 1.9.0),
-                     python-sphinx (>= 1.2.1),
                      python-tenacity (>= 3.2.1),
                      python-testrepository (>= 0.0.18),
                      python-testresources (>= 0.2.4),
@@ -42,14 +42,15 @@
 Section: python
 Depends: python-babel (>= 2.3.4),
          python-netaddr (>= 0.7.12),
-         python-neutron-lib (>= 1.0.0),
-         python-neutron (>= 2:10.0.0~),
-         python-oslo.config (>= 1:3.14.0),
-         python-openvswitch (>= 2.6.1),
+         python-neutron (>= 2:11.0.0~b2),
+         python-neutron-lib (>= 1.9.0),
+         python-openssl (>= 0.14),
+         python-openvswitch (>= 2.7.0),
+         python-oslo.config (>= 1:4.0.0),
          python-six (>= 1.9.0),
          python-tenacity,
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Description: OpenStack virtual network service - OVN driver
  Neutron provides an API to dynamically request and configure virtual networks.
  These networks connect "interfaces" from other OpenStack services (such as

## networking-ovn 4.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

futurist>=1.2.0 # Apache-2.0
netaddr>=0.7.18 # BSD
neutron-lib>=1.13.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
ovs>=2.8.0 # Apache-2.0
ovsdbapp>=0.8.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pyOpenSSL>=16.2.0 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
six>=1.10.0 # MIT

=== debian/changelog ===
networking-ovn (4.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Feb 2018 16:50:26 +0000

networking-ovn (4.0.0~rc2-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Feb 2018 12:48:23 -0500

networking-ovn (4.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Use python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Feb 2018 17:52:47 +0000

networking-ovn (4.0.0~b3-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * d/p/*: Drop, no longer needed.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Queens.
  * d/watch: Scope to Queens series.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 15:23:41 -0500

networking-ovn (4.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control,compat: Bump debhelper compat to 10.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/p/fix-test-failures.patch: Cherry pick fix for compat with neutron
    12.0.0~b2.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 21:41:38 +0000

networking-ovn (4.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Nov 2017 16:12:51 -0500

=== debian/control ===
Source: networking-ovn
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-futurist (>= 1.2.0),
 python-hacking (>= 0.12.0),
 python-netaddr (>= 0.7.18),
 python-neutron (>= 2:12.0.0~),
 python-neutron-lib (>= 1.13.0),
 python-openssl (>= 16.2.0),
 python-openstackdocstheme (>= 1.18.1),
 python-openvswitch (>= 2.8.0),
 python-os-testr (>= 1.0.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslotest (>= 1:3.2.0),
 python-ovsdbapp (>= 0.8.0),
 python-reno (>= 2.5.0),
 python-six (>= 1.10.0),
 python-subunit (>= 1.0.0),
 python-tenacity (>= 3.2.1),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-webtest (>= 2.0.27),
Standards-Version: 4.1.2
Homepage: http://github.com/openstack/networking-ovn
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/networking-ovn.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/networking-ovn.git

Package: python-networking-ovn
Architecture: all
Section: python
Depends:
 python-babel (>= 2.3.4),
 python-futurist (>= 1.2.0),
 python-netaddr (>= 0.7.18),
 python-neutron (>= 2:12.0.0~),
 python-neutron-lib (>= 1.13.0),
 python-openssl (>= 16.2.0),
 python-openvswitch (>= 2.8.0),
 python-oslo.config (>= 1:5.1.0),
 python-ovsdbapp (>= 0.8.0),
 python-pbr (>= 2.0.0),
 python-six (>= 1.10.0),
 python-tenacity (>= 3.2.1),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack virtual network service - OVN driver
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 OVN provides virtual networking for Open vSwitch and is a component of the
 Open vSwitch project.
 .
 This package provides the OpenStack driver for the Open vSwitch OVN SDN.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell echo '$(VERSION)' | cut -d + -f 1)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	ostestr
endif

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/python-networking-ovn/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR) oslo-config-generator --namespace networking_ovn --namespace neutron.ml2 \
		--output-file $(CURDIR)/debian/python-networking-ovn/etc/neutron/plugins/ml2/ml2_conf.ovn.ini

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-ovn networking-ovn-(4\.\d.*)\.tar\.gz

## networking-ovn 5.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,12 +4,14 @@
 
 futurist>=1.2.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
-neutron-lib>=1.13.0 # Apache-2.0
-oslo.config>=5.1.0 # Apache-2.0
+SQLAlchemy>=1.2.0 # MIT
+neutron-lib>=1.18.0 # Apache-2.0
+oslo.config>=5.2.0 # Apache-2.0
 ovs>=2.8.0 # Apache-2.0
-ovsdbapp>=0.8.0 # Apache-2.0
+ovsdbapp>=0.10.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-pyOpenSSL>=16.2.0 # Apache-2.0
-tenacity>=3.2.1 # Apache-2.0
+pyOpenSSL>=17.1.0 # Apache-2.0
+tenacity>=4.4.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
 six>=1.10.0 # MIT
+neutron>=13.0.0.0b2 # Apache-2.0

=== networking_ovn/tests/functional/requirements.txt ===
# Additional requirements for functional tests

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

psutil>=1.1.1,<2.0.0
psycopg2
PyMySQL>=0.6.2  # MIT License

=== debian/changelog ===
networking-ovn (5.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 18:19:57 +0200

networking-ovn (5.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Also install usr/share/ansible/networking-ovn-migration.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 21:40:37 +0200

networking-ovn (4.0.0-3) unstable; urgency=medium

  * Really fixed python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Mar 2018 16:39:22 +0000

networking-ovn (4.0.0-2) unstable; urgency=medium

  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 21:03:26 +0000

networking-ovn (4.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to Python 3.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Mar 2018 12:11:46 +0100

networking-ovn (3.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use correct branch in Vcs-* fields
  * Bumped debhelper compat version to 10

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release:
    - Fixes FTBFS (Closes: #882680).
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Dec 2017 13:00:18 +0000

networking-ovn (1.0.0-1) unstable; urgency=medium

  [ James Page ]
  * New upstream release.
  * Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Added myself as uploader.
  * Using OpenStack's Gerrit as VCS URLs.
  * Points .gitreview at deb-networking-ovn.
  * Added .gitreview and egg-info to extend-diff-ignore.
  * Fixed oslotest EPOCH.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Sep 2016 08:58:44 +0200

=== debian/control ===
Source: networking-ovn
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-futurist (>= 1.2.0),
 python3-hacking,
 python3-netaddr (>= 0.7.13),
 python3-neutron (>= 2:13.0.0~rc1),
 python3-neutron-lib (>= 1.18.0),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 1.16.0),
 python3-openvswitch (>= 2.8.0),
 python3-os-testr (>= 0.8.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslotest (>= 1:1.10.0),
 python3-ovsdbapp (>= 0.10.0),
 python3-reno,
 python3-six,
 python3-tenacity (>= 4.4.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webtest,
 subunit,
 testrepository,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-ovn
Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-ovn.git
Homepage: http://github.com/openstack/networking-ovn

Package: python3-networking-ovn
Architecture: all
Section: python
Depends:
 python3-babel,
 python3-futurist (>= 1.2.0),
 python3-netaddr (>= 0.7.13),
 python3-neutron (>= 2:13.0.0~rc1),
 python3-sqlalchemy (>= 1.2.0),
 python3-neutron-lib (>= 1.18.0),
 python3-openssl (>= 17.1.0),
 python3-openvswitch (>= 2.8.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-ovsdbapp (>= 0.10.0),
 python3-pbr (>= 2.0.0),
 python3-six,
 python3-tenacity (>= 4.4.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-networking-ovn,
Replaces:
 python-networking-ovn,
Description: OpenStack virtual network service - OVN driver
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 OVN provides virtual networking for Open vSwitch and is a component of the
 Open vSwitch project.
 .
 This package provides the OpenStack driver for the Open vSwitch OVN SDN.

=== debian/rules ===
--- 
+++ 
@@ -5,22 +5,41 @@
 export OSLO_PACKAGE_VERSION=$(shell echo '$(VERSION)' | cut -d + -f 1)
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2
+	dh $@ --buildsystem=python_distutils --with python3
+
+override_dh_auto_clean:
+	python3 setup.py clean
+
+override_dh_auto_build:
+	echo "Do nothing..."
 
 override_dh_auto_test:
+	echo "Do nothing..."
+
+override_dh_auto_install:
+	echo "Do nothing..."
+
+override_dh_install:
+	for i in $(PYTHON3S) ; do \
+		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
+	done
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	ostestr
+	pkgos-dh_auto_test --no-py2
 endif
 
-override_dh_auto_install:
-	dh_auto_install
-	mkdir -p $(CURDIR)/debian/python-networking-ovn/etc/neutron/plugins/ml2
+	dh_install
+	dh_missing --fail-missing
+
+	mkdir -p $(CURDIR)/debian/python3-networking-ovn/etc/neutron/plugins/ml2
 	PYTHONPATH=$(CURDIR) oslo-config-generator --namespace networking_ovn --namespace neutron.ml2 \
-		--output-file $(CURDIR)/debian/python-networking-ovn/etc/neutron/plugins/ml2/ml2_conf.ovn.ini
+		--output-file $(CURDIR)/debian/python3-networking-ovn/etc/neutron/plugins/ml2/ml2_conf.ovn.ini
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
 
 # Commands not to run
 override_dh_installcatalogs:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/networking-ovn/tags .*/(\d[\d\.]+)\.tar\.gz

## networking-ovn 6.0.0

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 futurist>=1.2.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
 SQLAlchemy>=1.2.0 # MIT
-neutron-lib>=1.18.0 # Apache-2.0
+neutron-lib>=1.25.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 ovs>=2.8.0 # Apache-2.0
 ovsdbapp>=0.10.0 # Apache-2.0
@@ -15,3 +15,10 @@
 Babel!=2.4.0,>=2.3.4 # BSD
 six>=1.10.0 # MIT
 neutron>=13.0.0.0b2 # Apache-2.0
+octavia-lib>=1.1.1 # Apache-2.0
+
+# The comment below indicates this project repo is current with neutron-lib
+# and should receive neutron-lib consumption patches as they are released
+# in neutron-lib. It also implies the project will stay current with TC
+# and infra initiatives ensuring consumption patches can land.
+# neutron-lib-current

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
doc8>=0.6.0 # Apache-2.0
oslotest>=3.2.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
networking-ovn (6.0.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 15 Apr 2019 09:21:15 +0000

networking-ovn (6.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:46:17 +0100

networking-ovn (6.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 10:11:57 +0000

networking-ovn (6.0.0~b1-0ubuntu1) disco; urgency=medium

  * d/watch: Track 6.x series.
  * New upstream milestone for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Vcs-* for Ubuntu.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 10:34:28 +0000

networking-ovn (6.0.0~b1~git2019013133.b1bbe86-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Feb 2019 09:35:56 +0000

networking-ovn (6.0.0~b1~git2018111601.64ec23a-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control,rules,python-*: Drop Python 2 support.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Nov 2018 12:06:38 +0000

networking-ovn (5.0.0-0ubuntu2) cosmic; urgency=medium

  * d/rules: Ensure /usr/share/ansible is installed by common package, to
    resolve issues with co-installability.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Sep 2018 14:37:57 -0400

networking-ovn (5.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 13:30:11 -0400

networking-ovn (5.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 15:38:40 -0400

networking-ovn (5.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 12:47:06 -0400

networking-ovn (5.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add Python 3 support:
    - d/control: Add BD's for py3.
    - d/control,networking-ovn-common.install: Add -common
      package for shared configuration files, add Depends from
      python{3}-networking-ovn.
    - d/control: Deal with move of configuration files to -common.
    - d/rules: Use pkgos-dh_auto_install.
    - d/rules: Directly generate sample config files.

 -- James Page <james.page@ubuntu.com>  Wed, 20 Jun 2018 14:31:03 +0100

networking-ovn (5.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * d/watch: Align to rocky series.
  * New upstream milestone for Rocky.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 17:03:50 +0100

=== debian/control ===
Source: networking-ovn
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-futurist (>= 1.2.0),
 python3-hacking (>= 0.12.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:13.0.0~b2~),
 python3-neutron-lib (>= 1.25.0),
 python3-octavia-lib (>= 1.0.0),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-openvswitch (>= 2.8.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslotest (>= 1:3.2.0),
 python3-ovsdbapp (>= 0.10.0),
 python3-reno (>= 2.5.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr,
 python3-subunit (>= 1.0.0),
 python3-tenacity (>= 4.4.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.1.2
Homepage: http://github.com/openstack/networking-ovn
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-ovn
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-ovn

Package: networking-ovn-common
Architecture: all
Section: python
Depends:
 ${misc:Depends},
Breaks:
 python-networking-ovn (<< 5.0.0~b2-0ubuntu2~),
Replaces:
 python-networking-ovn (<< 5.0.0~b2-0ubuntu2~),
Description: OpenStack virtual network service - OVN driver
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 OVN provides virtual networking for Open vSwitch and is a component of the
 Open vSwitch project.
 .
 This package provides the common configuration files for networking-ovn.

Package: python3-networking-ovn
Architecture: all
Section: python
Depends:
 networking-ovn-common (= ${binary:Version}),
 python3-babel (>= 2.3.4),
 python3-futurist (>= 1.2.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:13.0.0~b2~),
 python3-neutron-lib (>= 1.25.0),
 python3-openssl (>= 17.1.0),
 python3-openvswitch (>= 2.8.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-ovsdbapp (>= 0.10.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-tenacity (>= 4.4.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - OVN driver
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 OVN provides virtual networking for Open vSwitch and is a component of the
 Open vSwitch project.
 .
 This package provides the Python 3 module for the Open vSwitch OVN SDN.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-ovn networking-ovn-(6\.\d.*)\.tar\.gz

## networking-ovn 7.0.0

=== requirements.txt ===
--- 
+++ 
@@ -5,17 +5,19 @@
 futurist>=1.2.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
 SQLAlchemy>=1.2.0 # MIT
-neutron-lib>=1.25.0 # Apache-2.0
+neutron-lib>=1.28.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 ovs>=2.8.0 # Apache-2.0
-ovsdbapp>=0.10.0 # Apache-2.0
+ovsdbapp>=0.17.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 pyOpenSSL>=17.1.0 # Apache-2.0
 tenacity>=4.4.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
 six>=1.10.0 # MIT
 neutron>=13.0.0.0b2 # Apache-2.0
-octavia-lib>=1.1.1 # Apache-2.0
+octavia-lib>=1.3.1 # Apache-2.0
+tooz>=1.58.0 # Apache-2.0
+requests>=2.14.2 # Apache-2.0
 
 # The comment below indicates this project repo is current with neutron-lib
 # and should receive neutron-lib consumption patches as they are released

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2,!=2.1.0;python_version>='3.4'  # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
openstackdocstheme>=1.20.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0
oslotest>=3.2.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== networking_ovn/tests/functional/requirements.txt ===
--- 
+++ 
@@ -5,5 +5,4 @@
 # process, which may cause wedges in the gate later.
 
 psutil>=1.1.1,<2.0.0
-psycopg2
 PyMySQL>=0.6.2  # MIT License

=== debian/changelog ===
networking-ovn (7.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 10:33:30 +0200

networking-ovn (7.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 20:27:14 +0200

networking-ovn (7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Sep 2019 18:20:16 +0200

networking-ovn (6.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Fixed (build-)depends for this release.
  * Blacklist test_floatingip_via_router_interface_returns_201(), which is
    failing in Neutorn 14.0.1.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Apr 2019 22:33:10 +0200

=== debian/control ===
Source: networking-ovn
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-futurist,
 python3-hacking,
 python3-netaddr,
 python3-neutron (>= 2:15.0.0~rc1),
 python3-neutron-lib (>= 1.28.0),
 python3-octavia-lib (>= 1.3.1),
 python3-openssl,
 python3-openstackdocstheme,
 python3-openvswitch,
 python3-os-testr,
 python3-oslo.config,
 python3-oslotest,
 python3-ovsdbapp (>= 0.17.0),
 python3-reno,
 python3-six,
 python3-sqlalchemy,
 python3-tenacity,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 python3-webtest,
 subunit,
 testrepository,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-ovn
Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-ovn.git
Homepage: http://github.com/openstack/networking-ovn

Package: python3-networking-ovn
Architecture: all
Section: python
Depends:
 python3-babel,
 python3-futurist,
 python3-netaddr,
 python3-neutron (>= 2:15.0.0~rc1),
 python3-neutron-lib (>= 1.28.0),
 python3-octavia-lib (>= 1.3.1),
 python3-openssl,
 python3-openvswitch,
 python3-oslo.config,
 python3-ovsdbapp (>= 0.17.0),
 python3-pbr,
 python3-six,
 python3-sqlalchemy,
 python3-tenacity,
 python3-tooz,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-networking-ovn,
Replaces:
 python-networking-ovn,
Description: OpenStack virtual network service - OVN driver
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 OVN provides virtual networking for Open vSwitch and is a component of the
 Open vSwitch project.
 .
 This package provides the OpenStack driver for the Open vSwitch OVN SDN.

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
 	done
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2
+	pkgos-dh_auto_test --no-py2 'networking_ovn.tests.unit.(?!.*l3\.test_l3_ovn\.OVNL3ExtrarouteTests\.test_floatingip_via_router_interface_returns_201.*)'
 endif
 
 	dh_install
